Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_String_var Class Reference

CORBA_String var class. Provides automatic deallocation of storage for the string once it goes out of scope. More...

`#include <CORBA_String.h>`

List of all members.

## Public Methods
| CORBA_String_var (void)
| default constructor. More...
| CORBA_String_var (char *p)
| constructor, owns p. More...
| CORBA_String_var (const char *p)
| constructor. Makes a copy of p. More...
| CORBA_String_var (const CORBA_String_var &s)
| copy constructor. More...
| ~CORBA_String_var (void)
| destructor. More...
CORBA_String_var & | operator= (char *p)
| assignment operator. More...
CORBA_String_var & | operator= (const char *p)
| assignment to a const char*. Makes a copy. More...
CORBA_String_var & | operator= (const CORBA_String_var &s)
| assignment operator. More...
| operator char *& ()
| Read/write version. More...
| operator const char * () const
| Only read privileges. More...
char & | operator[] (CORBA::ULong slot)
| allows access and modification using an slot. More...
char | operator[] (CORBA::ULong slot) const
| allows only accessing thru an slot. More...
const char * | in (void) const
| for in parameter. More...
char *& | inout (void)
| for inout parameter. More...
char *& | out (void)
| for out parameter. More...
char * | _retn (void)
| for string of return type. More...
## Private Attributes
char * | ptr_
| instance. More...

## Detailed Description

CORBA_String var class. Provides automatic deallocation of storage for the string once it goes out of scope.

## Constructor & Destructor Documentation

ACE_INLINE CORBA_String_var::CORBA_String_var | ( | void |  | ) |

| default constructor.

CORBA_String_var::CORBA_String_var | ( | char * | p | ) |

| constructor, owns p.

ACE_INLINE CORBA_String_var::CORBA_String_var | ( | const char * | p | ) |

| constructor. Makes a copy of p.

CORBA_String_var::CORBA_String_var | ( | const CORBA_String_var & | r | ) |

| copy constructor.

CORBA_String_var::~CORBA_String_var | ( | void |  | ) |

| destructor.

## Member Function Documentation

ACE_INLINE char * CORBA_String_var::_retn | ( | void |  | ) |

| for string of return type.

ACE_INLINE const char * CORBA_String_var::in | ( | void |  | ) | const

| for in parameter.

ACE_INLINE char *& CORBA_String_var::inout | ( | void |  | ) |

| for inout parameter.

ACE_INLINE CORBA_String_var::operator char *& | ( |  | ) |

| Read/write version.

ACE_INLINE CORBA_String_var::operator const char * | ( |  | ) | const

| Only read privileges.

CORBA_String_var & CORBA_String_var::operator= | ( | const CORBA_String_var & | r | ) |

| assignment operator.

CORBA_String_var & CORBA_String_var::operator= | ( | const char * | p | ) |

| assignment to a const char*. Makes a copy.

CORBA_String_var & CORBA_String_var::operator= | ( | char * | p | ) |

| assignment operator.

ACE_INLINE CORBA::Char CORBA_String_var::operator[] | ( | CORBA::ULong | slot | ) | const

| allows only accessing thru an slot.

ACE_INLINE CORBA::Char & CORBA_String_var::operator[] | ( | CORBA::ULong | slot | ) |

| allows access and modification using an slot.

ACE_INLINE char *& CORBA_String_var::out | ( | void |  | ) |

| for out parameter.

## Member Data Documentation

char* CORBA_String_var::ptr_`[private]`

| instance.

The documentation for this class was generated from the following files:

- CORBA_String.h
- CORBA_String.cpp
- CORBA_String.inl